---
title: GlobalEventHandlers.onscroll
slug: Web/API/GlobalEventHandlers/onscroll
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <strong><code>onscroll</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes <code>scroll</code> events.</p>

<p>The <code>scroll</code> event fires when the document view or an element has been scrolled, whether by the user, a <a href="/en-US/docs/Web/API">Web API</a>, or the {{glossary("user agent")}}.</p>

<div class="notecard note">
<p><strong>Note:</strong> Don't confuse <code>onscroll</code> with {{domxref("GlobalEventHandlers.onwheel", "onwheel")}}!</p>

<p><code>onwheel</code> handles general wheel rotation, while <code>onscroll</code> handles scrolling of an object's content.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>target</var>.onscroll = <var>functionRef</var>
</pre>

<h3 id="Value">Value</h3>

<dl>
 <dt><code><var>functionRef</var></code></dt>
 <dd>A function name, or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("UIEvent")}} object as its sole argument.</dd>
</dl>

<p>Only one <code>onscroll</code> handler can be assigned to an object at a time.</p>

<p>For greater flexibility, you can pass a {{event("scroll")}} event to the {{domxref("EventTarget.addEventListener()")}} method instead.</p>

<h2 id="Example">Example</h2>

<p>This example monitors scrolling on a {{HtmlElement("textarea")}}, and logs the element's vertical scroll position accordingly.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;textarea&gt;1 2 3 4 5 6 7 8 9&lt;/textarea&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">textarea {
  width: 4rem;
  height: 8rem;
  font-size: 3rem;
}</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">const textarea = document.querySelector('textarea');
const log = document.getElementById('log');

textarea.onscroll = logScroll;

function logScroll(e) {
  log.textContent = `Scroll position: ${e.target.scrollTop}`;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 700, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','#handler-onscroll','onscroll')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Events", "#event-type-scroll", "onscroll")}}</td>
   <td>{{Spec2("DOM3 Events")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onscroll")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Document/scroll_event">Document: <code>scroll</code> event</a></li>
 <li><a href="/en-US/docs/Web/API/Element/scroll_event">Element: <code>scroll</code> event</a></li>
</ul>
